Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar30
Enum TransactionTypeType

    java.lang.Object
      java.lang.Enum<TransactionTypeType>
          org.jboss.shrinkwrap.descriptor.api.ejbjar30.TransactionTypeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TransactionTypeType>

    public enum TransactionTypeType

extends java.lang.Enum<TransactionTypeType>

This class implements the `transaction-typeType` xsd type

Original Documentation:

The transaction-typeType specifies an enterprise bean's
transaction management type.
The transaction-type must be one of the two following:
Bean
Container

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_BEAN`
`_CONTAINER`

Method Summary
`static TransactionTypeType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static TransactionTypeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TransactionTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _BEAN

    public static final TransactionTypeType _BEAN

### _CONTAINER

    public static final TransactionTypeType _CONTAINER

Method Detail

### values

    public static TransactionTypeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TransactionTypeType c : TransactionTypeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TransactionTypeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<TransactionTypeType>`

### getFromStringValue

    public static TransactionTypeType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD